> ## Documentation Index
> Fetch the complete documentation index at: https://docs.matia.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit asset



## OpenAPI

````yaml PATCH /assets/{id}
openapi: 3.0.1
info:
  title: OpenAPI Matia
  description: Matia API using the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.matia.io/v1
security:
  - ApiKeyAuth: []
paths:
  /assets/{id}:
    patch:
      summary: Edit an existing asset
      parameters:
        - name: id
          in: path
          description: ID of the asset to edit
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAssetRequest'
      responses:
        '200':
          description: Asset updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateAssetApiResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    UpdateAssetRequest:
      type: object
      properties:
        name:
          type: string
          description: Name of the asset
        description:
          type: string
        connection:
          type: object
          description: Connection details
    UpdateAssetApiResponse:
      type: object
      properties:
        code:
          type: string
        data:
          type: object
          properties:
            id:
              type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````